curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Jr',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Jr",
"company_id": 2336,
"created_at": "2026-01-26 15:20:58",
"updated_at": "2026-01-26 15:21:05",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Seniority
Update Seniority
Updates an existing seniority level in your COR instance using its external ID
PUT
/
v2
/
integrations
/
seniority
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Jr',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Jr",
"company_id": 2336,
"created_at": "2026-01-26 15:20:58",
"updated_at": "2026-01-26 15:21:05",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Updates an existing seniority level in your COR instance using its external ID.
Path Parameters
string
required
External seniority ID that was used when creating the seniority
Request Body Requirements
string
Updated seniority level name (e.g., “Jr.”, “Ssr.”, “Sr.”, “Lead”)
Known Errors
ZC001— Entity is not associated. No seniority found with the specified external ID for this source, or missing required fields
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10"
payload = {
"name": "Jr",
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/seniority/external_seniority_id_10',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Jr',
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Jr",
"company_id": 2336,
"created_at": "2026-01-26 15:20:58",
"updated_at": "2026-01-26 15:21:05",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Was this page helpful?
⌘I

